package com.ssj.service.kmt.kmt.service.impl;

import com.ssj.bean.kmt.kmt.domain.KmtExerciseLibPriority;
import com.ssj.dao.kmt.kmt.dao.KmtExerciseLibPriorityDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.kmt.service.KmtExerciseLibPriorityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author yanghuan
 * @title: KmtExerciseLibPriorityServiceImpl
 * @projectName ssj
 * @description: TODO
 * @date 2020/6/4 11:10
 */
@Transactional
@Service
public class KmtExerciseLibPriorityServiceImpl extends BaseServiceImpl<KmtExerciseLibPriority,String> implements KmtExerciseLibPriorityService {


    @Autowired
    private KmtExerciseLibPriorityDao dao;


    @Override
    public PagingAndSortingRepository<KmtExerciseLibPriority, String> getDao() {
        return dao;
    }

    @Override
    public void deleteOrgCountBySubject(String subject){
        dao.deleteOrgCountBySubject(subject);
    }

    @Override
    public KmtExerciseLibPriority findByLibIdAndSubject(String libId,String subject){
      return   dao.findKmtExerciseLibPriorityByLibIdAndSubejct(libId,subject);
    }

    @Override
    public void deleteOrgCountByLibIdAndSubject(String libId,String subject){
           dao.deleteOrgCountByLibIdAndSubject(libId,subject);
    }
}
